Bug 1187121 - Themes disobedient for some GTK applications (Gedit/Chromium/PDF viewer)
Summary: Themes disobedient for some GTK applications (Gedit/Chromium/PDF viewer)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: muffin
Version: 21
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-29 11:43 UTC by Cameron Whiting
Modified: 2015-02-15 13:58 UTC (History)
4 users (show)

Fixed In Version: muffin-2.4.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 13:58:09 UTC
Type: Bug


Attachments (Terms of Use)
theme settings, normal window snap alongside gedit (98.93 KB, image/png)
2015-01-29 11:43 UTC, Cameron Whiting
no flags Details

Description Cameron Whiting 2015-01-29 11:43:31 UTC
Created attachment 985533 [details]
theme settings, normal window snap alongside gedit

Description of problem:
Setting the theme on Cinnamon will work for the majority of windows, they will have the same title bar that you address them to have. However, some windows will not respond to changes, and will use the default fedora windowing rendering (which... I don't want...)

Version-Release number of selected component (if applicable):


How reproducible:
Procedurally

Steps to Reproduce:
1. install Cinnamon
2. download holo edited & holo transparent
3. apply them as the theme
4. apply the window borders as holo
5. open windows to view the coloration

Actual results:
Some use fedora's adwaita-similar windows.
Gedit will not snap correctly to the edge.

Expected results:
All windows obey theme.
Gedit should snap completely to the edge

Additional info:

Comment 1 leigh scott 2015-01-29 12:00:43 UTC
The screenshot shows your using cinnamon-2.4+ so what version of fedora are you running?

post

rpm -q muffin

Comment 2 Cameron Whiting 2015-01-29 12:11:10 UTC
"Fedora release 21 (Twenty One)" x86_64"

usually what I print it as. 

Linux fedora-21 3.18.3-201.fc21.x86_64 #1 SMP Mon Jan 19 15:59:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Comment 3 Cameron Whiting 2015-01-29 12:12:26 UTC
muffin-2.4.3-1.fc21.x86_64

Comment 4 Fedora Update System 2015-01-29 12:55:29 UTC
muffin-2.4.3-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-1107/muffin-2.4.3-4.fc21

Comment 5 Fedora Update System 2015-01-30 04:30:16 UTC
Package muffin-2.4.3-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing muffin-2.4.3-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1107/muffin-2.4.3-4.fc21
then log in and leave karma (feedback).

Comment 6 leigh scott 2015-01-30 10:43:25 UTC
(In reply to Cameron Whiting from comment #0)

> Description of problem:
> Setting the theme on Cinnamon will work for the majority of windows, they
> will have the same title bar that you address them to have. However, some
> windows will not respond to changes, and will use the default fedora
> windowing rendering (which... I don't want...)


Apps like nautilus, evince, gedit, totem and gnome-system-monitor have there own decoration (looks shit imo).
There is nothing I can do to fix that as they removed the code from the apps (nautilus, evince, gedit, totem and gnome-system-monitor).


http://blogs.gnome.org/mclasen/2014/01/13/client-side-decorations-continued/

Comment 7 Fedora Update System 2015-02-04 07:58:03 UTC
Package muffin-2.4.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing muffin-2.4.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1107/muffin-2.4.4-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-15 13:58:09 UTC
muffin-2.4.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.